Bug 1235627 - [GSS] (6.4.z) Annotation must be scanned regardless of the version of web.xml unless metadata-complete is explicitly set to true
Summary: [GSS] (6.4.z) Annotation must be scanned regardless of the version of web.xml...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Web
Version: 6.4.1
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: CR1
: EAP 6.4.6
Assignee: Tomas Hofman
QA Contact: Radim Hatlapatka
URL:
Whiteboard:
Depends On:
Blocks: 1235746
TreeView+ depends on / blocked
 
Reported: 2015-06-25 11:11 UTC by Masafumi Miura
Modified: 2019-07-11 09:28 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 1499103 None None None 2016-01-21 23:59:14 UTC
Red Hat One Jira Issue Tracker WFLY-4839 Major Closed annotation must be scanned regardless of the version of web.xml unless metadata-complete is explicitly set to true 2018-12-06 14:28:04 UTC

Description Masafumi Miura 2015-06-25 11:11:12 UTC
### Description of problem:

Annotation must be scanned regardless of the version of web.xml unless metadata-complete is explicitly set to true.

Note that Servlet 3.0 specification clearly states the following:

~~~
1.6.2 Processing annotations
In Servlet 2.5, metadata-complete only affected the scanning of annotations at
deployment time. The notion of web-fragments did not exist in servlet 2.5. However
in servlet 3.0 metadata-complete affects scanning of all annotations and web-
fragments at deployment time. The version of the descriptor MUST not affect which
annotations you scan for in a web application. An implementation of a particular
version of the specification MUST scan for all annotations supported in that
configuration, unless metadata-complete is specified.
~~~


### How reproducible:

Anytime


### Steps to Reproduce:

1. Create a library jar which contains a servlet filter using @WebFilter 
2. Put the jar under WEB-INF/lib of the web application which web.xml version is 2.3 or 2.4
3. Start JBoss EAP 6
4. Access the web application and see if the servlet filter works


### Actual results:

The servlet filter is not invoked


### Expected results:

The servlet filter is invoked


### Additional info:

It works when the version of web.xml is 2.5 or 3.0

Comment 4 Tomas Hofman 2015-06-29 13:33:32 UTC
PR: https://github.com/jbossas/jboss-eap/pull/2468

Comment 8 Radim Hatlapatka 2016-01-21 10:47:15 UTC
Verified with EAP 6.4.6.CP.CR2

Comment 9 Petr Penicka 2017-01-17 11:47:44 UTC
Retroactively bulk-closing issues from released EAP 6.4 cumulative patches.

Comment 10 Petr Penicka 2017-01-17 11:48:17 UTC
Retroactively bulk-closing issues from released EAP 6.4 cumulative patches.


Note You need to log in before you can comment on or make changes to this bug.